#ifndef IMAGE_MORPHOLOGY_H
#define IMAGE_MORPHOLOGY_H

#include <opencv2/core.hpp>
#include <string>

using namespace std;

extern const string WHITE_BG;
extern const string BLACK_BG;

cv::Mat my_dilate(const cv::Mat& img, const cv::Size& ksize = cv::Size(5, 5), int iter = 1, const string& bg_type = BLACK_BG);

cv::Mat wipe_noise(const cv::Mat& img);

cv::Mat wipe_noise_gray(const cv::Mat& img);

cv::Mat wipe_star(const cv::Mat& img, const cv::RotatedRect& minAreaRect);

#endif
